API reference › Service setup › Certifications
Create new certifications
POST /v1/certifications
- Scope
settings_service_setup:write- Roles
- admin, scheduler
Create one or more certifications with optional metadata.
Parameters
None of its own.
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Request body required
| Field | Type | Description |
|---|---|---|
name required | array of object | |
name[].label required | string | Example |
name[].isCustom | boolean | Example |
requirement required | string | One of: |
level | integer or null | Position within the certification body. Defaults to the next free level. min 1. Example |
expirationRequired | boolean | Example |
uploadRequired | boolean | Example |
certificationBody | object or null | An existing body by id, or a new one by label. |
certificationBody.id | integer or null | Example |
certificationBody.label | string | Example |
certificationBody.isCustom | boolean | Example |
serviceType required | object | |
serviceType.id | integer | Example |
serviceType.label | string | Example |
serviceProviderType required | object | |
serviceProviderType.id | integer | Example |
serviceProviderType.label | string | Example |
Example
{
"name": [
{
"label": "New Certification",
"isCustom": true
}
],
"requirement": "preferred",
"level": 1,
"expirationRequired": true,
"uploadRequired": true,
"certificationBody": {
"id": 3,
"label": "CI / CT Basic",
"isCustom": false
},
"serviceType": {
"id": 1,
"label": "ASL"
},
"serviceProviderType": {
"id": 2,
"label": "Typist"
}
}Example request
curl -X POST "https://api.fetchfido.ai/v1/certifications" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID" \
-H "Content-Type: application/json" \
-d '{"name":[{"label":"New Certification","isCustom":true}],"requirement":"preferred","level":1,"expirationRequired":true,"uploadRequired":true,"certificationBody":{"id":3,"label":"CI / CT Basic","isCustom":false},"serviceType":{"id":1,"label":"ASL"},"serviceProviderType":{"id":2,"label":"Typist"}}'Try it
Responses
201 Certifications created successfully
Certifications created successfully
{
"success": true,
"message": "Certifications created!",
"data": [
{
"id": 11,
"name": "New Certification",
"isCustom": true
},
{
"id": 12,
"name": "Another One",
"isCustom": true
}
]
}Response fields (6)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | array of object | |
data[].id | integer | Example |
data[].name | string | Example |
data[].isCustom | boolean | Example |
400 Bad request
Validation failed
{
"success": false,
"message": "The name field is required."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
401 Not signed in
Missing, invalid or expired API key.
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_service_setup:write' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Server error
{
"success": false,
"message": "Something went wrong!"
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |